#!/bin/sh

if test -z "${JAVA_HOME}" ; then
    echo "You must set the JAVA_HOME environment variable to point at your JDK"
    exit 1
fi

if test -f ${JAVA_HOME}/lib/tools.jar ; then
    CLASSPATH=${CLASSPATH}:${JAVA_HOME}/lib/tools.jar
fi

# convert the existing path to unix
if [ "$OSTYPE" = "cygwin32" ] || [ "$OSTYPE" = "cygwin" ] ; then
   CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
fi

CLASSPATH=${CLASSPATH}:../lib/ant.jar
CLASSPATH=${CLASSPATH}:../lib/xerces.jar

# convert the unix path to windows
if [ "$OSTYPE" = "cygwin32" ] || [ "$OSTYPE" = "cygwin" ] ; then
   CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
fi

BUILDFILE=build.xml

if test -z "${JIKES}" ; then
    JAVAC=classic
else
    JAVAC=jikes
fi

${JAVA_HOME}/bin/java -classpath ${CLASSPATH} -DJAVAC=${JAVAC} \
                      org.apache.tools.ant.Main \
                      -buildfile ${BUILDFILE} "$@"
